Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1302 - Segmentation fault of rpm-2.91-10
Summary: Segmentation fault of rpm-2.91-10
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-23 21:07 UTC by accot
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-09 04:29:02 UTC


Attachments (Terms of Use)

Description accot 1999-02-23 21:07:47 UTC
Trying to build
ftp://catless.ncl.ac.uk/pub/zircon-1.18.213-1.src.rpm I got
a seg fault with rpm.  But just once.  Redoing the same
thing just after that gave me a tcl error...  GDB said:

Executing: %build
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd zircon-1.18.213
+ tclsh8.0 installer/install.tcl -l /usr/lib/zircon -b
/usr/bin/ -g
+ exit 0
Processing files: zircon

Program received signal SIGSEGV, Segmentation fault.
strcpy (dest=0xbfff5db8 "on-1.18.213.tar.gz", src=0x0) at
../sysdeps/generic/strcpy.c:37
37      ../sysdeps/generic/strcpy.c: Aucun fichier ou
ripertoire de ce type.
(gdb) where
#0  strcpy (dest=0xbfff5db8 "on-1.18.213.tar.gz", src=0x0)
at ../sysdeps/generic/strcpy.c:37
#1  0x8073fb1 in rpmGetPath ()
#2  0x805648c in processPackageFiles ()
#3  0x80578b5 in processBinaryFiles ()
#4  0x80541e3 in buildSpec ()
#5  0x8054135 in buildSpec ()
#6  0x8048862 in buildForTarget ()
#7  0x80488e2 in build ()
#8  0x8052091 in main ()
#9  0x8090e4d in __libc_start_main (main=0x804f84c <main>,
argc=3, argv=0xbffff164, init=0x80480b4 <_init>,
fini=0x80d876c <_fini>,
    rtld_fini=0, stack_end=0xbffff15c) at
../sysdeps/generic/libc-start.c:78

Comment 1 Jeff Johnson 1999-03-09 04:29:59 UTC
Packages which do not use a BuildRoot triggered this bug. rpm-2.92
fixes this problem.


Note You need to log in before you can comment on or make changes to this bug.